tigase.jaxmpp.core.client.xmpp.modules.socks5

## Class Socks5BytestreamsModule.StreamhostsHandler.StreamhostsEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<Socks5BytestreamsModule.StreamhostsHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.socks5.Socks5BytestreamsModule.StreamhostsHandler.StreamhostsEvent

- Enclosing interface:
    Socks5BytestreamsModule.StreamhostsHandler

      public static class Socks5BytestreamsModule.StreamhostsHandler.StreamhostsEvent
      extends JaxmppEvent<Socks5BytestreamsModule.StreamhostsHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamhostsEvent(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(Socks5BytestreamsModule.StreamhostsHandler handler)` Invokes handlers method.
    `JID` | `getFrom()`
    `List<Streamhost>` | `getHosts()`
    `String` | `getId()`
    `String` | `getSid()`
    `void` | `setFrom(JID from)`
    `void` | `setHosts(List<Streamhost> hosts)`
    `void` | `setId(String id)`
    `void` | `setSid(String sid)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamhostsEvent

          public StreamhostsEvent(SessionObject sessionObject)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(Socks5BytestreamsModule.StreamhostsHandler handler)
                           throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<Socks5BytestreamsModule.StreamhostsHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getFrom

          public JID getFrom()

    - #### getHosts

          public List<Streamhost> getHosts()

    - #### getId

          public String getId()

    - #### getSid

          public String getSid()

    - #### setFrom

          public void setFrom(JID from)

    - #### setHosts

          public void setHosts(List<Streamhost> hosts)

    - #### setId

          public void setId(String id)

    - #### setSid

          public void setSid(String sid)

Copyright © 2006–2017 Tigase. All rights reserved.